- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::OfficeLocaleOverrides Class Reference

`#include <OfficeLocaleOverrides.h>`

## Public Member Functions
| OfficeLocaleOverrides ()
| ~OfficeLocaleOverrides ()
UString | GetAccountingFormat1 ()
OfficeLocaleOverrides & | SetAccountingFormat1 (const UString &value)
UString | GetAccountingFormat2 ()
OfficeLocaleOverrides & | SetAccountingFormat2 (const UString &value)
UString | GetAccountingFormat3 ()
OfficeLocaleOverrides & | SetAccountingFormat3 (const UString &value)
UString | GetAccountingFormat4 ()
OfficeLocaleOverrides & | SetAccountingFormat4 (const UString &value)
UString | GetAccountingFormat5 ()
OfficeLocaleOverrides & | SetAccountingFormat5 (const UString &value)
UString | GetAccountingFormat6 ()
OfficeLocaleOverrides & | SetAccountingFormat6 (const UString &value)
UString | GetAccountingFormat7 ()
OfficeLocaleOverrides & | SetAccountingFormat7 (const UString &value)
UString | GetAccountingFormat8 ()
OfficeLocaleOverrides & | SetAccountingFormat8 (const UString &value)
UString | GetCurrencyFormat1 ()
OfficeLocaleOverrides & | SetCurrencyFormat1 (const UString &value)
UString | GetCurrencyFormat2 ()
OfficeLocaleOverrides & | SetCurrencyFormat2 (const UString &value)
UString | GetCurrencyFormat3 ()
OfficeLocaleOverrides & | SetCurrencyFormat3 (const UString &value)
UString | GetCurrencyFormat4 ()
OfficeLocaleOverrides & | SetCurrencyFormat4 (const UString &value)
UString | GetDateFormat1 ()
OfficeLocaleOverrides & | SetDateFormat1 (const UString &value)
UString | GetDateFormat2 ()
OfficeLocaleOverrides & | SetDateFormat2 (const UString &value)
UString | GetDateFormat3 ()
OfficeLocaleOverrides & | SetDateFormat3 (const UString &value)
UString | GetDateFormat4 ()
OfficeLocaleOverrides & | SetDateFormat4 (const UString &value)
UString | GetDatetTimeFormat ()
OfficeLocaleOverrides & | SetDatetTimeFormat (const UString &value)
UString | GetFixedNumberFormat1 ()
OfficeLocaleOverrides & | SetFixedNumberFormat1 (const UString &value)
UString | GetFixedNumberFormat2 ()
OfficeLocaleOverrides & | SetFixedNumberFormat2 (const UString &value)
UString | GetFixedNumberFormat3 ()
OfficeLocaleOverrides & | SetFixedNumberFormat3 (const UString &value)
UString | GetFixedNumberFormat4 ()
OfficeLocaleOverrides & | SetFixedNumberFormat4 (const UString &value)
UString | GetFractionNumberFormat1 ()
OfficeLocaleOverrides & | SetFractionNumberFormat1 (const UString &value)
UString | GetFractionNumberFormat2 ()
OfficeLocaleOverrides & | SetFractionNumberFormat2 (const UString &value)
UString | GetPercentageFormat1 ()
OfficeLocaleOverrides & | SetPercentageFormat1 (const UString &value)
UString | GetPercentageFormat2 ()
OfficeLocaleOverrides & | SetPercentageFormat2 (const UString &value)
UString | GetScientificNumberFormat1 ()
OfficeLocaleOverrides & | SetScientificNumberFormat1 (const UString &value)
UString | GetScientificNumberFormat2 ()
OfficeLocaleOverrides & | SetScientificNumberFormat2 (const UString &value)
UString | GetTextFormat ()
OfficeLocaleOverrides & | SetTextFormat (const UString &value)
UString | GetTimeFormat1 ()
OfficeLocaleOverrides & | SetTimeFormat1 (const UString &value)
UString | GetTimeFormat2 ()
OfficeLocaleOverrides & | SetTimeFormat2 (const UString &value)
UString | GetTimeFormat3 ()
OfficeLocaleOverrides & | SetTimeFormat3 (const UString &value)
UString | GetTimeFormat4 ()
OfficeLocaleOverrides & | SetTimeFormat4 (const UString &value)
UString | GetTimeSpanFormat1 ()
OfficeLocaleOverrides & | SetTimeSpanFormat1 (const UString &value)
UString | GetTimeSpanFormat2 ()
OfficeLocaleOverrides & | SetTimeSpanFormat2 (const UString &value)
UString | GetTimeSpanFormat3 ()
OfficeLocaleOverrides & | SetTimeSpanFormat3 (const UString &value)

## Detailed Description

Definition at line 9 of file OfficeLocaleOverrides.h.

## Constructor & Destructor Documentation

pdftron::PDF::OfficeLocaleOverrides::OfficeLocaleOverrides | ( |  | ) |

pdftron::PDF::OfficeLocaleOverrides::~OfficeLocaleOverrides | ( |  | ) |

## Member Function Documentation

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat1 | ( |  | ) |

Gets the value AccountingFormat1 from the options object Accounting currency format rounded to integer, with negative values in parenthesis and no currency symbol. Value for the default locale: `#,##0_);(#,##0)`

Returns
  a UString, the current value for AccountingFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat2 | ( |  | ) |

Gets the value AccountingFormat2 from the options object Accounting currency format rounded to integer, with red nagative values in parenthesis and no currency symbol. Value for the default locale: `#,##0_);[Red](#,##0)`

Returns
  a UString, the current value for AccountingFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat3 | ( |  | ) |

Gets the value AccountingFormat3 from the options object Accounting currency format with 2 digits after decimal point, negative values in parenthesis and no currency symbol. Value for the default locale: `#,##0.00_);(#,##0.00)`

Returns
  a UString, the current value for AccountingFormat3.

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat4 | ( |  | ) |

Gets the value AccountingFormat4 from the options object Accounting currency format with 2 digits after decimal point, red nagative values in parenthesis and no currency symbol. Value for the default locale: `#,##0.00_);[Red](#,##0.00)`

Returns
  a UString, the current value for AccountingFormat4.

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat5 | ( |  | ) |

Gets the value AccountingFormat5 from the options object Accounting currency format rounded to integer, without currency symbol. Value for the default locale: `_(* #,##0_);_(* (#,##0);_(* "-"_);_(@_)`

Returns
  a UString, the current value for AccountingFormat5.

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat6 | ( |  | ) |

Gets the value AccountingFormat6 from the options object Accounting currency format rounded to integer, with local currency symbol. Value for the default locale: `_($* #,##0_);_($* (#,##0);_($* "-"_);_(@_)`

Returns
  a UString, the current value for AccountingFormat6.

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat7 | ( |  | ) |

Gets the value AccountingFormat7 from the options object Accounting currency format with 2 digits after decimal point and no currency symbol. Value for the default locale: `_(* #,##0.00_);_(* (#,##0.00);_(* "-"??_);_(@_)`

Returns
  a UString, the current value for AccountingFormat7.

UString pdftron::PDF::OfficeLocaleOverrides::GetAccountingFormat8 | ( |  | ) |

Gets the value AccountingFormat8 from the options object Accounting currency format with 2 digits after decimal point and local currency symbol. Value for the default locale: `_($* #,##0.00_)_($* (#,##0.00)_($* "-"??_)_(@_)`

Returns
  a UString, the current value for AccountingFormat8.

UString pdftron::PDF::OfficeLocaleOverrides::GetCurrencyFormat1 | ( |  | ) |

Gets the value CurrencyFormat1 from the options object Format of a value in local currency rounded to integer, with thousands separator. Value for the default locale: `$#,##0_);($#,##0)`

Returns
  a UString, the current value for CurrencyFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetCurrencyFormat2 | ( |  | ) |

Gets the value CurrencyFormat2 from the options object Format of a value in local currency rounded to integer, with thousands separator and red nagative value. Value for the default locale: `$#,##0_);[Red]($#,##0)`

Returns
  a UString, the current value for CurrencyFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetCurrencyFormat3 | ( |  | ) |

Gets the value CurrencyFormat3 from the options object Format of a value in local currency, with thousands separator and 2 digits after decimal point. Value for the default locale: `$#,##0.00_);($#,##0.00)`

Returns
  a UString, the current value for CurrencyFormat3.

UString pdftron::PDF::OfficeLocaleOverrides::GetCurrencyFormat4 | ( |  | ) |

Gets the value CurrencyFormat4 from the options object Format of a value in local currency, with thousands separator, 2 digits after decimal point and red nagative value. Value for the default locale: `$#,##0.00_);[Red]($#,##0.00)`

Returns
  a UString, the current value for CurrencyFormat4.

UString pdftron::PDF::OfficeLocaleOverrides::GetDateFormat1 | ( |  | ) |

Gets the value DateFormat1 from the options object Short date format. Value for the default locale: `mm-dd-yy`

Returns
  a UString, the current value for DateFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetDateFormat2 | ( |  | ) |

Gets the value DateFormat2 from the options object Date format with a short month name. Value for the default locale: `d-mmm-yy`

Returns
  a UString, the current value for DateFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetDateFormat3 | ( |  | ) |

Gets the value DateFormat3 from the options object Date format with a short month name and no year. Value for the default locale: `d-mmm`

Returns
  a UString, the current value for DateFormat3.

UString pdftron::PDF::OfficeLocaleOverrides::GetDateFormat4 | ( |  | ) |

Gets the value DateFormat4 from the options object Date format with a short month name and no day. Value for the default locale: `mmm-yy`

Returns
  a UString, the current value for DateFormat4.

UString pdftron::PDF::OfficeLocaleOverrides::GetDatetTimeFormat | ( |  | ) |

Gets the value DatetTimeFormat from the options object Short date with 24-hour time format. Value for the default locale: `m/d/yy h:mm`

Returns
  a UString, the current value for DatetTimeFormat.

UString pdftron::PDF::OfficeLocaleOverrides::GetFixedNumberFormat1 | ( |  | ) |

Gets the value FixedNumberFormat1 from the options object Format of a fixed number rounded to integer. Value for the default locale: `0`

Returns
  a UString, the current value for FixedNumberFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetFixedNumberFormat2 | ( |  | ) |

Gets the value FixedNumberFormat2 from the options object Format of a fixed number with 2 digits after decimal point. Value for the default locale: `0.00`

Returns
  a UString, the current value for FixedNumberFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetFixedNumberFormat3 | ( |  | ) |

Gets the value FixedNumberFormat3 from the options object Format of a fixed number rounded to integer, with thousands separator. Value for the default locale: `#,##0`

Returns
  a UString, the current value for FixedNumberFormat3.

UString pdftron::PDF::OfficeLocaleOverrides::GetFixedNumberFormat4 | ( |  | ) |

Gets the value FixedNumberFormat4 from the options object Format of a fixed number with thousands separator and 2 digits after decimal point. Value for the default locale: `#,##0.00`

Returns
  a UString, the current value for FixedNumberFormat4.

UString pdftron::PDF::OfficeLocaleOverrides::GetFractionNumberFormat1 | ( |  | ) |

Gets the value FractionNumberFormat1 from the options object Fraction number format with a single-digit fraction. Value for the default locale: `# ?/?`

Returns
  a UString, the current value for FractionNumberFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetFractionNumberFormat2 | ( |  | ) |

Gets the value FractionNumberFormat2 from the options object Fraction number format with a double-digit fraction. Value for the default locale: `# ??/??`

Returns
  a UString, the current value for FractionNumberFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetPercentageFormat1 | ( |  | ) |

Gets the value PercentageFormat1 from the options object Format of a percentage value rounded to integer. Value for the default locale: `0%`

Returns
  a UString, the current value for PercentageFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetPercentageFormat2 | ( |  | ) |

Gets the value PercentageFormat2 from the options object Format of a percentage value with 2 digits after decimal point. Value for the default locale: `0.00%`

Returns
  a UString, the current value for PercentageFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetScientificNumberFormat1 | ( |  | ) |

Gets the value ScientificNumberFormat1 from the options object Scientific number format with two digits after decimal point and at least two digits in the exponent. Value for the default locale: `0.00E+00`

Returns
  a UString, the current value for ScientificNumberFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetScientificNumberFormat2 | ( |  | ) |

Gets the value ScientificNumberFormat2 from the options object Scientific number format with up to 3 significant digits before decimal point and one digit after it. Value for the default locale: `##0.0E+0`

Returns
  a UString, the current value for ScientificNumberFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetTextFormat | ( |  | ) |

Gets the value TextFormat from the options object Text format used to treat numbers as text, when necessary. Value for the default locale: `@`

Returns
  a UString, the current value for TextFormat.

UString pdftron::PDF::OfficeLocaleOverrides::GetTimeFormat1 | ( |  | ) |

Gets the value TimeFormat1 from the options object Time format with AM/PM indicator and no seconds. Value for the default locale: `h:mm AM/PM`

Returns
  a UString, the current value for TimeFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetTimeFormat2 | ( |  | ) |

Gets the value TimeFormat2 from the options object Time format with AM/PM indicator. Value for the default locale: `h:mm AM/PM`

Returns
  a UString, the current value for TimeFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetTimeFormat3 | ( |  | ) |

Gets the value TimeFormat3 from the options object 24-hour time format without seconds. Value for the default locale: `h:mm`

Returns
  a UString, the current value for TimeFormat3.

UString pdftron::PDF::OfficeLocaleOverrides::GetTimeFormat4 | ( |  | ) |

Gets the value TimeFormat4 from the options object 24-hour time format. Value for the default locale: `h:mm:s`

Returns
  a UString, the current value for TimeFormat4.

UString pdftron::PDF::OfficeLocaleOverrides::GetTimeSpanFormat1 | ( |  | ) |

Gets the value TimeSpanFormat1 from the options object Format of a time span without hours. Value for the default locale: `mm:ss`

Returns
  a UString, the current value for TimeSpanFormat1.

UString pdftron::PDF::OfficeLocaleOverrides::GetTimeSpanFormat2 | ( |  | ) |

Gets the value TimeSpanFormat2 from the options object Format of a time span with hours. Value for the default locale: `[h]:mm:ss`

Returns
  a UString, the current value for TimeSpanFormat2.

UString pdftron::PDF::OfficeLocaleOverrides::GetTimeSpanFormat3 | ( |  | ) |

Gets the value TimeSpanFormat3 from the options object Format of a time span without hours and delimiters and with one decimal digit after point. Value for the default locale: `mmss.0`

Returns
  a UString, the current value for TimeSpanFormat3.

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat1 | ( | const UString & | value | ) |

Sets the value for AccountingFormat1 in the options object Accounting currency format rounded to integer, with negative values in parenthesis and no currency symbol. Value for the default locale: `#,##0_);(#,##0)`

Parameters

  value,: | the new value for AccountingFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat2 | ( | const UString & | value | ) |

Sets the value for AccountingFormat2 in the options object Accounting currency format rounded to integer, with red nagative values in parenthesis and no currency symbol. Value for the default locale: `#,##0_);[Red](#,##0)`

Parameters

  value,: | the new value for AccountingFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat3 | ( | const UString & | value | ) |

Sets the value for AccountingFormat3 in the options object Accounting currency format with 2 digits after decimal point, negative values in parenthesis and no currency symbol. Value for the default locale: `#,##0.00_);(#,##0.00)`

Parameters

  value,: | the new value for AccountingFormat3

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat4 | ( | const UString & | value | ) |

Sets the value for AccountingFormat4 in the options object Accounting currency format with 2 digits after decimal point, red nagative values in parenthesis and no currency symbol. Value for the default locale: `#,##0.00_);[Red](#,##0.00)`

Parameters

  value,: | the new value for AccountingFormat4

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat5 | ( | const UString & | value | ) |

Sets the value for AccountingFormat5 in the options object Accounting currency format rounded to integer, without currency symbol. Value for the default locale: `_(* #,##0_);_(* (#,##0);_(* "-"_);_(@_)`

Parameters

  value,: | the new value for AccountingFormat5

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat6 | ( | const UString & | value | ) |

Sets the value for AccountingFormat6 in the options object Accounting currency format rounded to integer, with local currency symbol. Value for the default locale: `_($* #,##0_);_($* (#,##0);_($* "-"_);_(@_)`

Parameters

  value,: | the new value for AccountingFormat6

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat7 | ( | const UString & | value | ) |

Sets the value for AccountingFormat7 in the options object Accounting currency format with 2 digits after decimal point and no currency symbol. Value for the default locale: `_(* #,##0.00_);_(* (#,##0.00);_(* "-"??_);_(@_)`

Parameters

  value,: | the new value for AccountingFormat7

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetAccountingFormat8 | ( | const UString & | value | ) |

Sets the value for AccountingFormat8 in the options object Accounting currency format with 2 digits after decimal point and local currency symbol. Value for the default locale: `_($* #,##0.00_)_($* (#,##0.00)_($* "-"??_)_(@_)`

Parameters

  value,: | the new value for AccountingFormat8

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetCurrencyFormat1 | ( | const UString & | value | ) |

Sets the value for CurrencyFormat1 in the options object Format of a value in local currency rounded to integer, with thousands separator. Value for the default locale: `$#,##0_);($#,##0)`

Parameters

  value,: | the new value for CurrencyFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetCurrencyFormat2 | ( | const UString & | value | ) |

Sets the value for CurrencyFormat2 in the options object Format of a value in local currency rounded to integer, with thousands separator and red nagative value. Value for the default locale: `$#,##0_);[Red]($#,##0)`

Parameters

  value,: | the new value for CurrencyFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetCurrencyFormat3 | ( | const UString & | value | ) |

Sets the value for CurrencyFormat3 in the options object Format of a value in local currency, with thousands separator and 2 digits after decimal point. Value for the default locale: `$#,##0.00_);($#,##0.00)`

Parameters

  value,: | the new value for CurrencyFormat3

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetCurrencyFormat4 | ( | const UString & | value | ) |

Sets the value for CurrencyFormat4 in the options object Format of a value in local currency, with thousands separator, 2 digits after decimal point and red nagative value. Value for the default locale: `$#,##0.00_);[Red]($#,##0.00)`

Parameters

  value,: | the new value for CurrencyFormat4

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetDateFormat1 | ( | const UString & | value | ) |

Sets the value for DateFormat1 in the options object Short date format. Value for the default locale: `mm-dd-yy`

Parameters

  value,: | the new value for DateFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetDateFormat2 | ( | const UString & | value | ) |

Sets the value for DateFormat2 in the options object Date format with a short month name. Value for the default locale: `d-mmm-yy`

Parameters

  value,: | the new value for DateFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetDateFormat3 | ( | const UString & | value | ) |

Sets the value for DateFormat3 in the options object Date format with a short month name and no year. Value for the default locale: `d-mmm`

Parameters

  value,: | the new value for DateFormat3

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetDateFormat4 | ( | const UString & | value | ) |

Sets the value for DateFormat4 in the options object Date format with a short month name and no day. Value for the default locale: `mmm-yy`

Parameters

  value,: | the new value for DateFormat4

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetDatetTimeFormat | ( | const UString & | value | ) |

Sets the value for DatetTimeFormat in the options object Short date with 24-hour time format. Value for the default locale: `m/d/yy h:mm`

Parameters

  value,: | the new value for DatetTimeFormat

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetFixedNumberFormat1 | ( | const UString & | value | ) |

Sets the value for FixedNumberFormat1 in the options object Format of a fixed number rounded to integer. Value for the default locale: `0`

Parameters

  value,: | the new value for FixedNumberFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetFixedNumberFormat2 | ( | const UString & | value | ) |

Sets the value for FixedNumberFormat2 in the options object Format of a fixed number with 2 digits after decimal point. Value for the default locale: `0.00`

Parameters

  value,: | the new value for FixedNumberFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetFixedNumberFormat3 | ( | const UString & | value | ) |

Sets the value for FixedNumberFormat3 in the options object Format of a fixed number rounded to integer, with thousands separator. Value for the default locale: `#,##0`

Parameters

  value,: | the new value for FixedNumberFormat3

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetFixedNumberFormat4 | ( | const UString & | value | ) |

Sets the value for FixedNumberFormat4 in the options object Format of a fixed number with thousands separator and 2 digits after decimal point. Value for the default locale: `#,##0.00`

Parameters

  value,: | the new value for FixedNumberFormat4

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetFractionNumberFormat1 | ( | const UString & | value | ) |

Sets the value for FractionNumberFormat1 in the options object Fraction number format with a single-digit fraction. Value for the default locale: `# ?/?`

Parameters

  value,: | the new value for FractionNumberFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetFractionNumberFormat2 | ( | const UString & | value | ) |

Sets the value for FractionNumberFormat2 in the options object Fraction number format with a double-digit fraction. Value for the default locale: `# ??/??`

Parameters

  value,: | the new value for FractionNumberFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetPercentageFormat1 | ( | const UString & | value | ) |

Sets the value for PercentageFormat1 in the options object Format of a percentage value rounded to integer. Value for the default locale: `0%`

Parameters

  value,: | the new value for PercentageFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetPercentageFormat2 | ( | const UString & | value | ) |

Sets the value for PercentageFormat2 in the options object Format of a percentage value with 2 digits after decimal point. Value for the default locale: `0.00%`

Parameters

  value,: | the new value for PercentageFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetScientificNumberFormat1 | ( | const UString & | value | ) |

Sets the value for ScientificNumberFormat1 in the options object Scientific number format with two digits after decimal point and at least two digits in the exponent. Value for the default locale: `0.00E+00`

Parameters

  value,: | the new value for ScientificNumberFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetScientificNumberFormat2 | ( | const UString & | value | ) |

Sets the value for ScientificNumberFormat2 in the options object Scientific number format with up to 3 significant digits before decimal point and one digit after it. Value for the default locale: `##0.0E+0`

Parameters

  value,: | the new value for ScientificNumberFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTextFormat | ( | const UString & | value | ) |

Sets the value for TextFormat in the options object Text format used to treat numbers as text, when necessary. Value for the default locale: `@`

Parameters

  value,: | the new value for TextFormat

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTimeFormat1 | ( | const UString & | value | ) |

Sets the value for TimeFormat1 in the options object Time format with AM/PM indicator and no seconds. Value for the default locale: `h:mm AM/PM`

Parameters

  value,: | the new value for TimeFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTimeFormat2 | ( | const UString & | value | ) |

Sets the value for TimeFormat2 in the options object Time format with AM/PM indicator. Value for the default locale: `h:mm AM/PM`

Parameters

  value,: | the new value for TimeFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTimeFormat3 | ( | const UString & | value | ) |

Sets the value for TimeFormat3 in the options object 24-hour time format without seconds. Value for the default locale: `h:mm`

Parameters

  value,: | the new value for TimeFormat3

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTimeFormat4 | ( | const UString & | value | ) |

Sets the value for TimeFormat4 in the options object 24-hour time format. Value for the default locale: `h:mm:s`

Parameters

  value,: | the new value for TimeFormat4

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTimeSpanFormat1 | ( | const UString & | value | ) |

Sets the value for TimeSpanFormat1 in the options object Format of a time span without hours. Value for the default locale: `mm:ss`

Parameters

  value,: | the new value for TimeSpanFormat1

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTimeSpanFormat2 | ( | const UString & | value | ) |

Sets the value for TimeSpanFormat2 in the options object Format of a time span with hours. Value for the default locale: `[h]:mm:ss`

Parameters

  value,: | the new value for TimeSpanFormat2

Returns
  this object, for call chaining

OfficeLocaleOverrides& pdftron::PDF::OfficeLocaleOverrides::SetTimeSpanFormat3 | ( | const UString & | value | ) |

Sets the value for TimeSpanFormat3 in the options object Format of a time span without hours and delimiters and with one decimal digit after point. Value for the default locale: `mmss.0`

Parameters

  value,: | the new value for TimeSpanFormat3

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/OfficeLocaleOverrides.h